IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2c19:dd:dd:9900::/56- First address
2c19:dd:dd:9900::- Last address
2c19:dd:dd:99ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2c19:00dd:00dd:9900:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.9.d.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd:9900::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd:9900::/64 | 2c19:dd:dd:9900:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:dd:9901::/64 | 2c19:dd:dd:9901:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:dd:9902::/64 | 2c19:dd:dd:9902:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:dd:9903::/64 | 2c19:dd:dd:9903:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:dd:9904::/64 | 2c19:dd:dd:9904:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:dd:9905::/64 | 2c19:dd:dd:9905:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:dd:9906::/64 | 2c19:dd:dd:9906:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:dd:9907::/64 | 2c19:dd:dd:9907:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:dd:9908::/64 | 2c19:dd:dd:9908:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:dd:9909::/64 | 2c19:dd:dd:9909:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:dd:990a::/64 | 2c19:dd:dd:990a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:dd:990b::/64 | 2c19:dd:dd:990b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:dd:990c::/64 | 2c19:dd:dd:990c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:dd:990d::/64 | 2c19:dd:dd:990d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:dd:990e::/64 | 2c19:dd:dd:990e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:dd:990f::/64 | 2c19:dd:dd:990f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:dd:9910::/64 | 2c19:dd:dd:9910:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:dd:9911::/64 | 2c19:dd:dd:9911:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:dd:9912::/64 | 2c19:dd:dd:9912:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:dd:9913::/64 | 2c19:dd:dd:9913:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:dd:9914::/64 | 2c19:dd:dd:9914:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:dd:9915::/64 | 2c19:dd:dd:9915:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:dd:9916::/64 | 2c19:dd:dd:9916:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:dd:9917::/64 | 2c19:dd:dd:9917:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:dd:9918::/64 | 2c19:dd:dd:9918:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:dd:9919::/64 | 2c19:dd:dd:9919:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:dd:991a::/64 | 2c19:dd:dd:991a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:dd:991b::/64 | 2c19:dd:dd:991b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:dd:991c::/64 | 2c19:dd:dd:991c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:dd:991d::/64 | 2c19:dd:dd:991d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:dd:991e::/64 | 2c19:dd:dd:991e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:dd:991f::/64 | 2c19:dd:dd:991f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:dd:9920::/64 | 2c19:dd:dd:9920:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:dd:9921::/64 | 2c19:dd:dd:9921:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:dd:9922::/64 | 2c19:dd:dd:9922:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:dd:9923::/64 | 2c19:dd:dd:9923:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:dd:9924::/64 | 2c19:dd:dd:9924:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:dd:9925::/64 | 2c19:dd:dd:9925:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:dd:9926::/64 | 2c19:dd:dd:9926:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:dd:9927::/64 | 2c19:dd:dd:9927:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:dd:9928::/64 | 2c19:dd:dd:9928:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:dd:9929::/64 | 2c19:dd:dd:9929:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:dd:992a::/64 | 2c19:dd:dd:992a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:dd:992b::/64 | 2c19:dd:dd:992b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:dd:992c::/64 | 2c19:dd:dd:992c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:dd:992d::/64 | 2c19:dd:dd:992d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:dd:992e::/64 | 2c19:dd:dd:992e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:dd:992f::/64 | 2c19:dd:dd:992f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:dd:9930::/64 | 2c19:dd:dd:9930:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:dd:9931::/64 | 2c19:dd:dd:9931:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:dd:9932::/64 | 2c19:dd:dd:9932:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:dd:9933::/64 | 2c19:dd:dd:9933:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:dd:9934::/64 | 2c19:dd:dd:9934:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:dd:9935::/64 | 2c19:dd:dd:9935:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:dd:9936::/64 | 2c19:dd:dd:9936:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:dd:9937::/64 | 2c19:dd:dd:9937:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:dd:9938::/64 | 2c19:dd:dd:9938:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:dd:9939::/64 | 2c19:dd:dd:9939:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:dd:993a::/64 | 2c19:dd:dd:993a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:dd:993b::/64 | 2c19:dd:dd:993b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:dd:993c::/64 | 2c19:dd:dd:993c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:dd:993d::/64 | 2c19:dd:dd:993d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:dd:993e::/64 | 2c19:dd:dd:993e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:dd:993f::/64 | 2c19:dd:dd:993f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:dd:9940::/64 | 2c19:dd:dd:9940:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:dd:9941::/64 | 2c19:dd:dd:9941:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:dd:9942::/64 | 2c19:dd:dd:9942:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:dd:9943::/64 | 2c19:dd:dd:9943:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:dd:9944::/64 | 2c19:dd:dd:9944:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:dd:9945::/64 | 2c19:dd:dd:9945:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:dd:9946::/64 | 2c19:dd:dd:9946:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:dd:9947::/64 | 2c19:dd:dd:9947:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:dd:9948::/64 | 2c19:dd:dd:9948:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:dd:9949::/64 | 2c19:dd:dd:9949:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:dd:994a::/64 | 2c19:dd:dd:994a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:dd:994b::/64 | 2c19:dd:dd:994b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:dd:994c::/64 | 2c19:dd:dd:994c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:dd:994d::/64 | 2c19:dd:dd:994d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:dd:994e::/64 | 2c19:dd:dd:994e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:dd:994f::/64 | 2c19:dd:dd:994f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:dd:9950::/64 | 2c19:dd:dd:9950:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:dd:9951::/64 | 2c19:dd:dd:9951:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:dd:9952::/64 | 2c19:dd:dd:9952:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:dd:9953::/64 | 2c19:dd:dd:9953:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:dd:9954::/64 | 2c19:dd:dd:9954:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:dd:9955::/64 | 2c19:dd:dd:9955:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:dd:9956::/64 | 2c19:dd:dd:9956:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:dd:9957::/64 | 2c19:dd:dd:9957:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:dd:9958::/64 | 2c19:dd:dd:9958:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:dd:9959::/64 | 2c19:dd:dd:9959:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:dd:995a::/64 | 2c19:dd:dd:995a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:dd:995b::/64 | 2c19:dd:dd:995b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:dd:995c::/64 | 2c19:dd:dd:995c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:dd:995d::/64 | 2c19:dd:dd:995d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:dd:995e::/64 | 2c19:dd:dd:995e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:dd:995f::/64 | 2c19:dd:dd:995f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:dd:9960::/64 | 2c19:dd:dd:9960:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:dd:9961::/64 | 2c19:dd:dd:9961:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:dd:9962::/64 | 2c19:dd:dd:9962:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:dd:9963::/64 | 2c19:dd:dd:9963:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:dd:9964::/64 | 2c19:dd:dd:9964:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:dd:9965::/64 | 2c19:dd:dd:9965:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:dd:9966::/64 | 2c19:dd:dd:9966:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:dd:9967::/64 | 2c19:dd:dd:9967:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:dd:9968::/64 | 2c19:dd:dd:9968:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:dd:9969::/64 | 2c19:dd:dd:9969:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:dd:996a::/64 | 2c19:dd:dd:996a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:dd:996b::/64 | 2c19:dd:dd:996b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:dd:996c::/64 | 2c19:dd:dd:996c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:dd:996d::/64 | 2c19:dd:dd:996d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:dd:996e::/64 | 2c19:dd:dd:996e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:dd:996f::/64 | 2c19:dd:dd:996f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:dd:9970::/64 | 2c19:dd:dd:9970:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:dd:9971::/64 | 2c19:dd:dd:9971:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:dd:9972::/64 | 2c19:dd:dd:9972:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:dd:9973::/64 | 2c19:dd:dd:9973:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:dd:9974::/64 | 2c19:dd:dd:9974:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:dd:9975::/64 | 2c19:dd:dd:9975:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:dd:9976::/64 | 2c19:dd:dd:9976:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:dd:9977::/64 | 2c19:dd:dd:9977:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:dd:9978::/64 | 2c19:dd:dd:9978:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:dd:9979::/64 | 2c19:dd:dd:9979:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:dd:997a::/64 | 2c19:dd:dd:997a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:dd:997b::/64 | 2c19:dd:dd:997b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:dd:997c::/64 | 2c19:dd:dd:997c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:dd:997d::/64 | 2c19:dd:dd:997d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:dd:997e::/64 | 2c19:dd:dd:997e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:dd:997f::/64 | 2c19:dd:dd:997f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:dd:9980::/64 | 2c19:dd:dd:9980:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:dd:9981::/64 | 2c19:dd:dd:9981:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:dd:9982::/64 | 2c19:dd:dd:9982:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:dd:9983::/64 | 2c19:dd:dd:9983:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:dd:9984::/64 | 2c19:dd:dd:9984:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:dd:9985::/64 | 2c19:dd:dd:9985:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:dd:9986::/64 | 2c19:dd:dd:9986:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:dd:9987::/64 | 2c19:dd:dd:9987:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:dd:9988::/64 | 2c19:dd:dd:9988:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:dd:9989::/64 | 2c19:dd:dd:9989:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:dd:998a::/64 | 2c19:dd:dd:998a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:dd:998b::/64 | 2c19:dd:dd:998b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:dd:998c::/64 | 2c19:dd:dd:998c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:dd:998d::/64 | 2c19:dd:dd:998d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:dd:998e::/64 | 2c19:dd:dd:998e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:dd:998f::/64 | 2c19:dd:dd:998f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:dd:9990::/64 | 2c19:dd:dd:9990:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:dd:9991::/64 | 2c19:dd:dd:9991:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:dd:9992::/64 | 2c19:dd:dd:9992:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:dd:9993::/64 | 2c19:dd:dd:9993:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:dd:9994::/64 | 2c19:dd:dd:9994:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:dd:9995::/64 | 2c19:dd:dd:9995:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:dd:9996::/64 | 2c19:dd:dd:9996:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:dd:9997::/64 | 2c19:dd:dd:9997:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:dd:9998::/64 | 2c19:dd:dd:9998:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:dd:9999::/64 | 2c19:dd:dd:9999:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:dd:999a::/64 | 2c19:dd:dd:999a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:dd:999b::/64 | 2c19:dd:dd:999b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:dd:999c::/64 | 2c19:dd:dd:999c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:dd:999d::/64 | 2c19:dd:dd:999d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:dd:999e::/64 | 2c19:dd:dd:999e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:dd:999f::/64 | 2c19:dd:dd:999f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:dd:99a0::/64 | 2c19:dd:dd:99a0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:dd:99a1::/64 | 2c19:dd:dd:99a1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:dd:99a2::/64 | 2c19:dd:dd:99a2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:dd:99a3::/64 | 2c19:dd:dd:99a3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:dd:99a4::/64 | 2c19:dd:dd:99a4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:dd:99a5::/64 | 2c19:dd:dd:99a5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:dd:99a6::/64 | 2c19:dd:dd:99a6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:dd:99a7::/64 | 2c19:dd:dd:99a7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:dd:99a8::/64 | 2c19:dd:dd:99a8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:dd:99a9::/64 | 2c19:dd:dd:99a9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:dd:99aa::/64 | 2c19:dd:dd:99aa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:dd:99ab::/64 | 2c19:dd:dd:99ab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:dd:99ac::/64 | 2c19:dd:dd:99ac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:dd:99ad::/64 | 2c19:dd:dd:99ad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:dd:99ae::/64 | 2c19:dd:dd:99ae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:dd:99af::/64 | 2c19:dd:dd:99af:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:dd:99b0::/64 | 2c19:dd:dd:99b0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:dd:99b1::/64 | 2c19:dd:dd:99b1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:dd:99b2::/64 | 2c19:dd:dd:99b2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:dd:99b3::/64 | 2c19:dd:dd:99b3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:dd:99b4::/64 | 2c19:dd:dd:99b4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:dd:99b5::/64 | 2c19:dd:dd:99b5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:dd:99b6::/64 | 2c19:dd:dd:99b6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:dd:99b7::/64 | 2c19:dd:dd:99b7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:dd:99b8::/64 | 2c19:dd:dd:99b8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:dd:99b9::/64 | 2c19:dd:dd:99b9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:dd:99ba::/64 | 2c19:dd:dd:99ba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:dd:99bb::/64 | 2c19:dd:dd:99bb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:dd:99bc::/64 | 2c19:dd:dd:99bc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:dd:99bd::/64 | 2c19:dd:dd:99bd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:dd:99be::/64 | 2c19:dd:dd:99be:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:dd:99bf::/64 | 2c19:dd:dd:99bf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:dd:99c0::/64 | 2c19:dd:dd:99c0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:dd:99c1::/64 | 2c19:dd:dd:99c1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:dd:99c2::/64 | 2c19:dd:dd:99c2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:dd:99c3::/64 | 2c19:dd:dd:99c3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:dd:99c4::/64 | 2c19:dd:dd:99c4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:dd:99c5::/64 | 2c19:dd:dd:99c5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:dd:99c6::/64 | 2c19:dd:dd:99c6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:dd:99c7::/64 | 2c19:dd:dd:99c7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:dd:99c8::/64 | 2c19:dd:dd:99c8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:dd:99c9::/64 | 2c19:dd:dd:99c9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:dd:99ca::/64 | 2c19:dd:dd:99ca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:dd:99cb::/64 | 2c19:dd:dd:99cb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:dd:99cc::/64 | 2c19:dd:dd:99cc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:dd:99cd::/64 | 2c19:dd:dd:99cd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:dd:99ce::/64 | 2c19:dd:dd:99ce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:dd:99cf::/64 | 2c19:dd:dd:99cf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:dd:99d0::/64 | 2c19:dd:dd:99d0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:dd:99d1::/64 | 2c19:dd:dd:99d1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:dd:99d2::/64 | 2c19:dd:dd:99d2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:dd:99d3::/64 | 2c19:dd:dd:99d3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:dd:99d4::/64 | 2c19:dd:dd:99d4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:dd:99d5::/64 | 2c19:dd:dd:99d5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:dd:99d6::/64 | 2c19:dd:dd:99d6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:dd:99d7::/64 | 2c19:dd:dd:99d7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:dd:99d8::/64 | 2c19:dd:dd:99d8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:dd:99d9::/64 | 2c19:dd:dd:99d9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:dd:99da::/64 | 2c19:dd:dd:99da:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:dd:99db::/64 | 2c19:dd:dd:99db:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:dd:99dc::/64 | 2c19:dd:dd:99dc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:dd:99dd::/64 | 2c19:dd:dd:99dd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:dd:99de::/64 | 2c19:dd:dd:99de:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:dd:99df::/64 | 2c19:dd:dd:99df:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:dd:99e0::/64 | 2c19:dd:dd:99e0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:dd:99e1::/64 | 2c19:dd:dd:99e1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:dd:99e2::/64 | 2c19:dd:dd:99e2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:dd:99e3::/64 | 2c19:dd:dd:99e3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:dd:99e4::/64 | 2c19:dd:dd:99e4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:dd:99e5::/64 | 2c19:dd:dd:99e5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:dd:99e6::/64 | 2c19:dd:dd:99e6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:dd:99e7::/64 | 2c19:dd:dd:99e7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:dd:99e8::/64 | 2c19:dd:dd:99e8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:dd:99e9::/64 | 2c19:dd:dd:99e9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:dd:99ea::/64 | 2c19:dd:dd:99ea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:dd:99eb::/64 | 2c19:dd:dd:99eb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:dd:99ec::/64 | 2c19:dd:dd:99ec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:dd:99ed::/64 | 2c19:dd:dd:99ed:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:dd:99ee::/64 | 2c19:dd:dd:99ee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:dd:99ef::/64 | 2c19:dd:dd:99ef:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:dd:99f0::/64 | 2c19:dd:dd:99f0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:dd:99f1::/64 | 2c19:dd:dd:99f1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:dd:99f2::/64 | 2c19:dd:dd:99f2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:dd:99f3::/64 | 2c19:dd:dd:99f3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:dd:99f4::/64 | 2c19:dd:dd:99f4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:dd:99f5::/64 | 2c19:dd:dd:99f5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:dd:99f6::/64 | 2c19:dd:dd:99f6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:dd:99f7::/64 | 2c19:dd:dd:99f7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:dd:99f8::/64 | 2c19:dd:dd:99f8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:dd:99f9::/64 | 2c19:dd:dd:99f9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:dd:99fa::/64 | 2c19:dd:dd:99fa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:dd:99fb::/64 | 2c19:dd:dd:99fb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:dd:99fc::/64 | 2c19:dd:dd:99fc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:dd:99fd::/64 | 2c19:dd:dd:99fd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:dd:99fe::/64 | 2c19:dd:dd:99fe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:dd:99ff::/64 | 2c19:dd:dd:99ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |